mesos-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Mesos-Docker-CentOS #67
Date Fri, 04 May 2018 02:45:29 GMT
See <https://builds.apache.org/job/Mesos-Docker-CentOS/67/display/redirect?page=changes>

Changes:

[jpeach] Added `max_completion_time` to `TaskInfo` and new reason.

[jpeach] Added a validation that `max_completion_time` must be non-negative.

[jpeach] Added `max_completion_time` support to command executor.

[jpeach] Tested `max_completion_time` support in command executor.

[jpeach] Added support of `max_completion_time` in docker executor.

[jpeach] Tested `max_completion_time` support in docker executor.

[jpeach] Added support to `max_completion_time` in default executor.

[jpeach] Tested default executor support of `max_completion_time`.

[jpeach] Added MESOS-6575 to the 1.6.0 CHANGELOG.

[chhsiao] Documented the changes in gRPC and CSI supports.

[chhsiao] Fixed typos in `upgrades.md`.

[chhsiao] Updated `csi.md`.

[chhsiao] Ensured that agent does not delete volume upon grow or shrink.

[chhsiao] Added offer operation to grow and shrink persistent volumes.

[chhsiao] Added a new `RESIZE_VOLUME` agent capability.

[chhsiao] Implemented grow and shrink of persistent volumes.

[chhsiao] Added helper functions to create grow and shrink volume in test.

[chhsiao] Added tests for validation of `GrowVolume` and `ShrinkVolume`.

[chhsiao] Added tests for `GROW_VOLUME` and `SHRINK_VOLUME` operations.

[chhsiao] Added new authorization for `ResizeVolume`.

[chhsiao] Added test for authorization actions for `RESIZE_VOLUME`.

[chhsiao] Added new operator API to grow and shrink persistent volume.

[chhsiao] Implemented operator API to grow and shrink persistent volume.

[chhsiao] Added test for `GROW_VOLUME` and `SHRINK_VOLUME` operator API.

[chhsiao] Improved tests for resizing persistent volumes.

------------------------------------------
Started by timer
[EnvInject] - Loading node environment variables.
Building remotely on H22 (ubuntu xenial) in workspace <https://builds.apache.org/job/Mesos-Docker-CentOS/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://git-wip-us.apache.org/repos/asf/mesos.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/mesos.git
 > git --version # timeout=10
 > git fetch --tags --progress https://git-wip-us.apache.org/repos/asf/mesos.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision a483fb0d0aa07ce061faa17336c453fa8d61c89c (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f a483fb0d0aa07ce061faa17336c453fa8d61c89c
Commit message: "Improved tests for resizing persistent volumes."
 > git rev-list --no-walk 868ec364b17bc231697563f2621705baff2d7183 # timeout=10
 > git tag -a -f -m Jenkins Build #67 jenkins-Mesos-Docker-CentOS-67 # timeout=10
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
USERNAME=mesosdockerbot

[EnvInject] - Variables injected successfully.
[EnvInject] - Mask passwords that will be passed as build parameters.
[Mesos-Docker-CentOS] $ /bin/bash -xe /tmp/jenkins5249349446120493922.sh
+ ./support/jenkins/docker-centos.sh

# This script build and push Docker image that has Mesos distro
# installed (based on CentOS).

CURRENT_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SUPPORT_DIR="${CURRENT_DIR}/.."

: ${USERNAME:?"Environment variable 'USERNAME' must be set to the username of the 'Mesos DockerBot'
Docker hub account."}
: ${PASSWORD:?"Environment variable 'PASSWORD' must be set to the password of the 'Mesos DockerBot'
Docker hub account."}

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=`date +%F`
date +%F

function cleanup {
  docker rmi $(docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}) || true
  docker rmi $(docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}) || true
}

trap cleanup EXIT

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING} \
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO} \
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG} \
"${SUPPORT_DIR}/packaging/centos/build-docker-image.sh"

# This script builds a CentOS based docker image with Mesos installed
# using the current head of the source tree.

CENTOS_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SOURCE_DIR="$(cd ${CENTOS_DIR}/../../..; pwd -P)"
cd ${CENTOS_DIR}/../../..; pwd -P

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG:-"latest"}

if ! [ -x "$(command -v docker)" ]; then
  echo 'Error: docker is not installed.' >&2
  exit 1
fi
command -v docker

if [ -d "${SOURCE_DIR}/centos7" ]; then
  echo "Please cleanup 'centos7' under your Mesos source directory"
  exit 1
fi
Please cleanup 'centos7' under your Mesos source directory
cleanup
docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
Build step 'Execute shell' marked build as failure

Mime
View raw message